## org.apache.http.client.methods
Class HttpOptions

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.HttpRequestBase
              org.apache.http.client.methods.HttpOptions

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, HttpUriRequest, HttpMessage, HttpRequest

    @NotThreadSafe
    public class HttpOptions

extends HttpRequestBase

HTTP OPTIONS method.

The HTTP OPTIONS method is defined in section 9.2 of RFC2616:

> The OPTIONS method represents a request for information about the communication options available on the request/response chain identified by the Request-URI. This method allows the client to determine the options and/or requirements associated with a resource, or the capabilities of a server, without implying a resource action or initiating a resource retrieval.

Since:
  4.0

Field Summary
`static String` `METHOD_NAME`

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpOptions()`
`HttpOptions(String uri)`
`HttpOptions(URI uri)`

Method Summary
`Set<String>` `getAllowedMethods(HttpResponse response)`
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`abort, clone, getProtocolVersion, getRequestLine, getURI, isAborted, setConnectionRequest, setReleaseTrigger, setURI`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Field Detail

### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### HttpOptions

    public HttpOptions()

### HttpOptions

    public HttpOptions(URI uri)

### HttpOptions

    public HttpOptions(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

Method Detail

### getMethod

    public String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`
  Specified by:
    `getMethod` in class `HttpRequestBase`

### getAllowedMethods

    public Set<String> getAllowedMethods(HttpResponse response)

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.